package com.bzd.system.service.hygl.yx;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 人群管理表（精准营销） service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SHyglHyyxPeoplemanagementService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSHyglHyyxPeoplemanagement(PageData pd)throws Exception {
        return daoSupport.update("SHyglHyyxPeoplemanagementMapper.addSHyglHyyxPeoplemanagement", pd);
    }

    public List<PageData> findSHyglHyyxPeoplemanagementList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SHyglHyyxPeoplemanagementMapper.selectSHyglHyyxPeoplemanagementList", pd);
    }

    public Integer SHyglHyyxPeoplemanagementRemove(PageData pd)throws Exception {
        return daoSupport.delete("SHyglHyyxPeoplemanagementMapper.SHyglHyyxPeoplemanagementRemove", pd);
    }


    public Integer updateSHyglHyyxPeoplemanagement(PageData pd)throws Exception {
        return daoSupport.update("SHyglHyyxPeoplemanagementMapper.updateSHyglHyyxPeoplemanagement", pd);
    }

}
